%define name xdvik
%define version 22.84.14
%define release %mkrel 1

Summary:	An X viewer for DVI files
Name:		%{name}
Version:	%{version}
Release:	%{release}
Url: 		http://xdvi.sourceforge.net/
License: 	GPL
Group: 		Publishing
Source0: 	http://puzzle.dl.sourceforge.net/sourceforge/xdvi/%{name}-%{version}.tar.gz
Source1: 	icons-xdvi.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Conflicts: 	tetex-xdvi
Conflicts: 	xdvi
BuildRequires: 	libt1lib >= 5.0.2
BuildRequires: 	X11-devel

%description
Xdvi allows you to preview the TeX text formatting system's output .dvi
files on an X Window System.

It is based on the regular (non-k) xdvi of the same version number, and is
part of the texk project (deployed e.g. in teTeX).

%prep
%setup -q

%build
%configure --with-system-t1lib
%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %buildroot%_bindir
mkdir -p %buildroot%_mandir/man1
%makeinstall texmf=%buildroot%_datadir/texmf

rm -fr %buildroot%_datadir/texmf

mkdir -p %buildroot%_iconsdir

tar xjvf %SOURCE1 -C %buildroot%_iconsdir

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=XDvi
Comment=DVI files viewer
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Office-Publishing;
EOF

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc INSTALL README CHANGES README_maintainer TODO release-tetex-src.txt
%_bindir/*
%_mandir/man?/*
%{_datadir}/applications/mandriva-%{name}.desktop
%_iconsdir/dvi.png
%_liconsdir/dvi.png
%_miconsdir/dvi.png



%changelog
* Sat Aug 16 2008 Olivier Thauvin <nanardon@mandriva.org> 22.84.14-1mdv2009.0
+ Revision: 272490
- 22.84.14

* Sun Aug 03 2008 Thierry Vignaud <tvignaud@mandriva.com> 22.84.10-7mdv2009.0
+ Revision: 262309
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 22.84.10-6mdv2009.0
+ Revision: 256774
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jan 11 2008 Thierry Vignaud <tvignaud@mandriva.com> 22.84.10-4mdv2008.1
+ Revision: 148539
- rebuild
- do not use sub-shell, which just hides errors
- drop old menu

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 22.84.10-2mdv2008.1
+ Revision: 136579
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Dec 06 2006 Olivier Thauvin <nanardon@mandriva.org> 22.84.10-2mdv2007.0
+ Revision: 91849
- fix urls

* Mon Aug 14 2006 Olivier Thauvin <nanardon@mandriva.org> 22.84.10-1mdv2007.0
+ Revision: 55774
- fix menu
- 22.84.10
- xdg menu
- Import xdvik

* Sun Feb 12 2006 Eskild Hustvedt <eskild@mandriva.org> 22.84.8-4mdk
- Added patch0 (use www-browser)

* Thu Sep 29 2005 Nicolas Lcureuil <neoclust@mandriva.org> 22.84.8-3mdk
- Fix BuildRequires thanks to pterjan
- %%mkrel

* Fri Feb 25 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 22.84.8-2mdk
- fix conflicts with texmf

* Tue Jan 04 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 22.84.8-1mdk
- First mdk spec

